Tenha uma nova experiência ao navegar no Fórum pelo computador de forma integrada ao portal principal. Acesse o seguinte link: https://www.autolisp.com.br/board/. Entretanto para dispositivos móveis recomendamos acessar este outro link: https://www.autolisp.com.br/forum/

AddPolyline o AddLine

Dúvidas sobre VB para AutoCAD...

Moderador: Moderadores

Responder
Avatar do usuário
jadaham
Concreto
Concreto
Mensagens: 59
Registrado em: Seg 16 Jan 2006 11:00:00 pm

AddPolyline o AddLine

Mensagem por jadaham » Qui 19 Out 2006 1:03:56 am

tengo esta parte de codigo que me permite insertar puntos en coordenadas de una hoja de excel a autocad:


Sub AcadCircle(xc As Double, yc As Double, zc As Double, LayerName)
Dim cp(0 To 2) As Double
cp(0) = xc: cp(1) = yc
If Cells(15, 10) = 2 Then
cp(2) = 0#
Else
cp(2) = zc
End If


Set puntobj = AcadApp.ActiveDocument.ModelSpace.AddPoint(cp)

puntobj.Layer = LayerName






End Sub

funciona correctamente, como se podra hacer para que una vez insertada los puntos, me los una con una polilinea o con lineas? lo he intentado de esta manera, pero no mas no se puede:

Set plineObj = AcadApp.ActiveDocument.ModelSpace.AddPolyline(cp)

Avatar do usuário
neyton
Master
Master
Mensagens: 1668
Registrado em: Qui 25 Dez 2003 11:00:00 pm
Contato:

Mensagem por neyton » Qui 19 Out 2006 8:03:41 am

http://br.geocities.com/neyton/excel_escraviza_cad.zip

creio que isso possa te ajudar

ela desenha uma polilinha no cad, baseado em coordenadas escritas na planilha

o codigo esta dentro de uma macro do arquivo XLS

abra o arquivo e leia o codigo que voce entenderá, ok?

Avatar do usuário
jadaham
Concreto
Concreto
Mensagens: 59
Registrado em: Seg 16 Jan 2006 11:00:00 pm

Mensagem por jadaham » Qui 19 Out 2006 10:26:28 pm

ERROR DE COMPILACION

NO SE PUEDE ENCONTRAR EL PROYECTO O LA BIBLIBOTECA


UTILIZO AUTOCAD 2006

Avatar do usuário
jadaham
Concreto
Concreto
Mensagens: 59
Registrado em: Seg 16 Jan 2006 11:00:00 pm

Mensagem por jadaham » Sex 20 Out 2006 12:53:26 am

FUNCIONA BIEN!!!

PARA QUE INSERTE ADEMAS PUNTOS, Y EL NUMERO DE VERTICE?

Avatar do usuário
neyton
Master
Master
Mensagens: 1668
Registrado em: Qui 25 Dez 2003 11:00:00 pm
Contato:

Mensagem por neyton » Sex 20 Out 2006 11:18:03 am

dentro do codigo VBA está comentado onde se altera o numero de coordenadas
na planilha tambem... vejas as celulas E1 ate E4 são os "limites" da tabela de coordenadas

blz?

leia com atenção o codigo, pois é preciso referenciar a LIBRARY correta do autocad ( em references )

Avatar do usuário
jadaham
Concreto
Concreto
Mensagens: 59
Registrado em: Seg 16 Jan 2006 11:00:00 pm

Mensagem por jadaham » Qua 01 Nov 2006 1:17:14 am

y si quisiera registrar los puntos con xdatas como se haria?????, el valor del xdata que fuera el numero del vertice?

Avatar do usuário
neyton
Master
Master
Mensagens: 1668
Registrado em: Qui 25 Dez 2003 11:00:00 pm
Contato:

Mensagem por neyton » Qui 02 Nov 2006 10:37:49 am

uma XDATA para colocar o numero de pontos? o dxf 1071 da xdata pode servir...

para colocar xdata numa entidade com VBA, faça assim (por exemplo):
neyton escreveu: Sub poexdata()
Dim ent As AcadObject
Dim pt As AcadPoint
ThisDrawing.Utility.GetEntity ent, pt, "\nSelecione a entidade"

Dim DataType(0 To 9) As Integer
Dim Data(0 To 9) As Variant
Dim reals3(0 To 2) As Double
Dim worldPos(0 To 2) As Double

DataType(0) = 1001: Data(0) = "Test_Application"
DataType(1) = 1000: Data(1) = "This is a test for xdata"
DataType(2) = 1003: Data(2) = "0" ' layer
DataType(3) = 1040: Data(3) = 1.23479137438413E+40 ' real
DataType(4) = 1041: Data(4) = 1237324938 ' distance
DataType(5) = 1070: Data(5) = 32767 ' 16 bit Integer
DataType(6) = 1071: Data(6) = 32767 ' 32 bit Integer
DataType(7) = 1042: Data(7) = 10 ' scaleFactor

reals3(0) = -2.95: reals3(1) = 100: reals3(2) = -20
DataType(8) = 1010: Data(8) = reals3 ' real
worldPos(0) = 4: worldPos(1) = 400.99999999: worldPos(2) = 2.798989
DataType(9) = 1011: Data(9) = worldPos ' world space position

ent.SetXData DataType, Data ' coloca a xdata na entidade
End Sub
veja neste exemplo, tem xdata para escala, numero, coordenada, layer...
é so escolher...

Avatar do usuário
neyton
Master
Master
Mensagens: 1668
Registrado em: Qui 25 Dez 2003 11:00:00 pm
Contato:

Mensagem por neyton » Qui 02 Nov 2006 10:41:58 am

para visualizar a xdata, voce pode usar o comando XDLIST do express tools se voce tiver ele instalado

Responder